Package de.willuhn.jameica.hbci.gui.dialogs

# Class AdresseAuswahlDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.gui.dialogs.AdresseAuswahlDialog

public class AdresseAuswahlDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog
Ein Dialog, ueber den man eine Adresse auswaehlen kann.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`AdresseAuswahlDialog(int position)`
ct.
`AdresseAuswahlDialog(int position, AddressFilter filter)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getData()`
Liefert das ausgewaehlte Konto zurueck oder `null` wenn der Abbrechen-Knopf gedrueckt wurde.
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdresseAuswahlDialog

public AdresseAuswahlDialog(int position)
ct.

Parameters:
  `position` -

### AdresseAuswahlDialog

public AdresseAuswahlDialog(int position, AddressFilter filter)
ct.

Parameters:
  `position` -
  `filter` - optionale Angabe eines Adress-Filters.

## Method Details

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`

### getData

protected Object getData() throws Exception
Liefert das ausgewaehlte Konto zurueck oder `null` wenn der Abbrechen-Knopf gedrueckt wurde.

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.getData()`